-- MySQL dump 10.13  Distrib 5.6.12, for linux-glibc2.5 (x86_64)
--
-- Host: 108.167.189.48    Database: ab14804_BBQG
-- ------------------------------------------------------
-- Server version	5.6.41-84.1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Temporary table structure for view `Combined_Tables`
--

DROP TABLE IF EXISTS `Combined_Tables`;
/*!50001 DROP VIEW IF EXISTS `Combined_Tables`*/;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
/*!50001 CREATE TABLE `Combined_Tables` (
  `lname` tinyint NOT NULL,
  `fname` tinyint NOT NULL,
  `addr1` tinyint NOT NULL,
  `addr2` tinyint NOT NULL,
  `city` tinyint NOT NULL,
  `state` tinyint NOT NULL,
  `zip` tinyint NOT NULL,
  `hphone` tinyint NOT NULL,
  `cphone` tinyint NOT NULL,
  `wphone` tinyint NOT NULL,
  `email` tinyint NOT NULL,
  `member` tinyint NOT NULL,
  `eid` tinyint NOT NULL,
  `idx` tinyint NOT NULL,
  `gallery` tinyint NOT NULL,
  `qname` tinyint NOT NULL,
  `length` tinyint NOT NULL,
  `width` tinyint NOT NULL,
  `color` tinyint NOT NULL,
  `design` tinyint NOT NULL,
  `kit` tinyint NOT NULL,
  `adapt` tinyint NOT NULL,
  `orig` tinyint NOT NULL,
  `source` tinyint NOT NULL,
  `quilting` tinyint NOT NULL,
  `quilter` tinyint NOT NULL,
  `category` tinyint NOT NULL,
  `texan` tinyint NOT NULL,
  `picture` tinyint NOT NULL,
  `stmt` tinyint NOT NULL,
  `fee` tinyint NOT NULL,
  `withdrawn` tinyint NOT NULL,
  `makerfirst` tinyint NOT NULL,
  `makerlast` tinyint NOT NULL,
  `quilterfirst` tinyint NOT NULL,
  `quilterlast` tinyint NOT NULL
) ENGINE=MyISAM */;
SET character_set_client = @saved_cs_client;


--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categories` (
  `indx` int(2) NOT NULL AUTO_INCREMENT,
  `name` varchar(32) COLLATE utf8_unicode_ci NOT NULL,
  `free` enum('yes','no') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'no',
  `maxentries` int(11) NOT NULL DEFAULT '2',
  `judged` enum('Yes','No') COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Yes',
  PRIMARY KEY (`indx`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Non-Judged Display','yes',0,'No'),(2,'Block of the Month/Kit Quilts','no',2,'Yes'),(3,'Innovative and Art','no',2,'Yes'),(4,'Miniature','no',2,'Yes'),(5,'Mixed Technique','no',2,'Yes'),(6,'Reproduction Quilt','no',2,'Yes'),(7,'Scrap Quilt','no',2,'Yes'),(8,'Traditional Pieced','no',4,'Yes'),(9,'Other Techniques','no',2,'Yes'),(10,'Wearable','no',2,'Yes'),(11,'First Quilt','no',2,'Yes'),(12,'Challenge Quilt','yes',0,'No'),(13,'Go Texas Quilt','no',2,'Yes'),(14,'Youth','yes',2,'Yes'),(15,'Group','no',2,'Yes'),(16,'Appliqué','no',2,'Yes'),(18,'Modern Quilt','no',2,'Yes'),(19,'Theme (Stars)','no',2,'Yes');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `entrants`
--

DROP TABLE IF EXISTS `entrants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `entrants` (
  `lname` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `fname` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `addr1` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `addr2` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci DEFAULT NULL,
  `city` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `state` varchar(12) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT 'TX',
  `zip` varchar(10) COLLATE ascii_bin NOT NULL DEFAULT '',
  `hphone` varchar(16) COLLATE ascii_bin NOT NULL DEFAULT '',
  `cphone` varchar(16) COLLATE ascii_bin DEFAULT NULL,
  `wphone` varchar(16) COLLATE ascii_bin DEFAULT NULL,
  `email` varchar(32) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `member` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'yes',
  `eid` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(16) COLLATE ascii_bin NOT NULL DEFAULT '',
  `password` varchar(32) COLLATE ascii_bin DEFAULT '',
  `access` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`eid`)
) ENGINE=MyISAM AUTO_INCREMENT=101 DEFAULT CHARSET=ascii COLLATE=ascii_bin COMMENT='quilt show entrants';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `entrants`
--

LOCK TABLES `entrants` WRITE;
/*!40000 ALTER TABLE `entrants` DISABLE KEYS */;
INSERT INTO `entrants` VALUES('Administrator','System','',NULL,'','TX','','',NULL,NULL,'','yes',100,'sysadmin','sysadmin',127);
/*!40000 ALTER TABLE `entrants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quilts`
--

DROP TABLE IF EXISTS `quilts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quilts` (
  `eid` int(11) NOT NULL,
  `idx` int(11) NOT NULL AUTO_INCREMENT,
  `gallery` int(10) unsigned DEFAULT NULL,
  `qname` varchar(64) COLLATE ascii_bin NOT NULL DEFAULT '',
  `length` int(11) NOT NULL DEFAULT '0',
  `width` int(11) NOT NULL DEFAULT '0',
  `color` varchar(20) COLLATE ascii_bin NOT NULL DEFAULT '',
  `design` text COLLATE ascii_bin NOT NULL,
  `kit` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'yes',
  `adapt` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'yes',
  `orig` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'yes',
  `source` varchar(64) COLLATE ascii_bin NOT NULL DEFAULT '',
  `quilting` enum('hand','machine') COLLATE ascii_bin NOT NULL DEFAULT 'hand',
  `quilter` varchar(32) COLLATE ascii_bin NOT NULL DEFAULT '',
  `category` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `texan` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'yes',
  `picture` text COLLATE ascii_bin NOT NULL,
  `stmt` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `fee` decimal(10,0) NOT NULL,
  `entered` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `withdrawn` enum('yes','no') COLLATE ascii_bin NOT NULL DEFAULT 'no',
  `makerfirst` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `makerlast` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `quilterfirst` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `quilterlast` text CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`idx`)
) ENGINE=MyISAM AUTO_INCREMENT=100 DEFAULT CHARSET=ascii COLLATE=ascii_bin COMMENT='quilt show quilts';
/*!40101 SET character_set_client = @saved_cs_client */;


--
-- Table structure for table `receipts`
--

DROP TABLE IF EXISTS `receipts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `receipts` (
  `indx` int(11) NOT NULL AUTO_INCREMENT,
  `eid` int(11) NOT NULL,
  `check` varchar(8) COLLATE utf8_unicode_ci NOT NULL,
  `amount` decimal(10,0) NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`indx`)
) ENGINE=MyISAM AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Table structure for table `showdata`
--

DROP TABLE IF EXISTS `showdata`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `showdata` (
  `active` tinyint(1) NOT NULL DEFAULT '0',
  `ShowYear` int(4) NOT NULL,
  `ShowName` varchar(32) NOT NULL,
  `ShowDates` varchar(16) NOT NULL,
  `RegOpen` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `RegClose` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `QuiltLimit` int(11) NOT NULL DEFAULT '0',
  `MemberLimit` tinyint(1) NOT NULL DEFAULT '1',
  `MemberYear` int(11) NOT NULL DEFAULT '0',
  `RegPenalty` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `feemember` int(11) NOT NULL,
  `feenonmember` int(11) NOT NULL,
  `latemember` int(11) NOT NULL,
  `latenonmember` int(11) NOT NULL,
  `techadmin` text CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  `quiltadmin` text CHARACTER SET ascii COLLATE ascii_bin NOT NULL,
  PRIMARY KEY (`ShowYear`)
) ENGINE=MyISAM DEFAULT CHARSET=ascii;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `showdata`
--

LOCK TABLES `showdata` WRITE;
/*!40000 ALTER TABLE `showdata` DISABLE KEYS */;
INSERT INTO `showdata` VALUES (1,2019,'Sample Show Name','September 22-24','2019-07-02 05:00:00','2018-07-01 05:00:00',140,0,2017,'2018-07-01 05:00:00',10,25,10,25,'sysadmin','sysadmin');
/*!40000 ALTER TABLE `showdata` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping routines for database 'ab14804_BBQG'
--

--
-- Final view structure for view `Combined_Tables`
--

/*!50001 DROP TABLE IF EXISTS `Combined_Tables`*/;
/*!50001 DROP VIEW IF EXISTS `Combined_Tables`*/;
/*!50001 SET @saved_cs_client          = @@character_set_client */;
/*!50001 SET @saved_cs_results         = @@character_set_results */;
/*!50001 SET @saved_col_connection     = @@collation_connection */;
/*!50001 SET character_set_client      = utf8mb4 */;
/*!50001 SET character_set_results     = utf8mb4 */;
/*!50001 SET collation_connection      = utf8mb4_unicode_ci */;
/*!50001 CREATE ALGORITHM=UNDEFINED */
/*!50013 DEFINER=`ab14804`@`localhost` SQL SECURITY DEFINER */
/*!50001 VIEW `Combined_Tables` AS select `E`.`lname` AS `lname`,`E`.`fname` AS `fname`,`E`.`addr1` AS `addr1`,`E`.`addr2` AS `addr2`,`E`.`city` AS `city`,`E`.`state` AS `state`,`E`.`zip` AS `zip`,`E`.`hphone` AS `hphone`,`E`.`cphone` AS `cphone`,`E`.`wphone` AS `wphone`,`E`.`email` AS `email`,`E`.`member` AS `member`,`Q`.`eid` AS `eid`,`Q`.`idx` AS `idx`,`Q`.`gallery` AS `gallery`,`Q`.`qname` AS `qname`,`Q`.`length` AS `length`,`Q`.`width` AS `width`,`Q`.`color` AS `color`,`Q`.`design` AS `design`,`Q`.`kit` AS `kit`,`Q`.`adapt` AS `adapt`,`Q`.`orig` AS `orig`,`Q`.`source` AS `source`,`Q`.`quilting` AS `quilting`,`Q`.`quilter` AS `quilter`,`Q`.`category` AS `category`,`Q`.`texan` AS `texan`,`Q`.`picture` AS `picture`,`Q`.`stmt` AS `stmt`,`Q`.`fee` AS `fee`,`Q`.`withdrawn` AS `withdrawn`,`Q`.`makerfirst` AS `makerfirst`,`Q`.`makerlast` AS `makerlast`,`Q`.`quilterfirst` AS `quilterfirst`,`Q`.`quilterlast` AS `quilterlast` from (`entrants` `E` join `quilts` `Q`) where (`E`.`eid` = `Q`.`eid`) */;
/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;

/*!50001 SET character_set_client      = @saved_cs_client */;
/*!50001 SET character_set_results     = @saved_cs_results */;
/*!50001 SET collation_connection      = @saved_col_connection */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed
