<?php session_start();              
        
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 
/* updates
       7/12/21 
             Updated array references from array[key] to array['key'] to eliminate deprecated messages;
*/
?>
<!DOCTYPE html>
<html>
<head>
  <TITLE>Quilt Show - Create User ID</TITLE>
   <link type="image/x-icon" href="/images/favicon.ico" rel="icon">
   <link type="image/x-icon" href="/images/favicon.ico" rel="shortcut icon">
<link rel="stylesheet" type="text/css" href="./QuiltShow.css">
</head>

<body>

<? require_once('utilities.php');

$db=opendb(); 
$squery="SELECT * FROM showdata where active=1";
$sresult=mysqli_query($db,$squery);
  if (!$sresult) {echo "Error fetching Show Information showdata table: " . mysqli_error($db);} 
else { $srows=mysqli_num_rows($sresult);
       $sdata=mysqli_fetch_assoc($sresult);
       $ShowYear=$sdata['ShowYear'];
//       $ShowName=$sdata['ShowName'];
//       $ShowDates=$sdata['ShowDates'];
//       $ShowRegOpen=mysql2php($sdata['RegOpen']);
//       $ShowRegClose=mysql2php($sdata['RegClose']);
//       $ShowRegPenalty=mysql2php($sdata['RegPenalty']);         
       $ShowMemberLimit=$sdata['MemberLimit'];
       $ShowMemberYear=$sdata['MemberYear'];
       $ShowAdmin=$sdata['quiltadmin']; 
       $TechAdmin=$sdata['techadmin'];  
    /* from $ShowAdmin, get email, address, & name from Entrants table  */   
       $query2="Select fname, lname, addr1, city, state, zip, email, hphone from entrants where username='$ShowAdmin'";
       $result2=mysqli_query($db,$query2);
       if (!@$result2) {"Error fetching Quilt Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result2);
       if ($count==1) {
            $admin=mysqli_fetch_assoc($result2);
            $ShowAdminName=$admin['fname'] ." " . $admin['lname'];
            $ShowAdminEmail=$admin['email'];
            $ShowAdminPhone=$admin['hphone'];
            $ShowAdminAddr=$admin['addr1'];
            $ShowAdminCity=$admin['city'].", ". $admin['state']." ".  $admin['zip'];}
        else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }
    
        $query3="Select fname, lname, email, hphone from entrants where username='$TechAdmin'";
       $result3=mysqli_query($db,$query3);
       if (!@$result3) {"Error fetching Tech Administrator info from Database: ". mysqli_error($db);}
       $count=mysqli_num_rows($result3);
       if ($count==1) {
            $tadmin=mysqli_fetch_assoc($result3);
            $TechAdminName=$tadmin['fname'] ." " . $admin['lname'];
            $TechAdminEmail=$tadmin['email'];
            $TechAdminPhone=$tadmin['hphone'];}
         else { ?> <H2>Problem fetching Administrator info, <?=$count?> rows found for <?=$ShowAdmin?> </H2> <? }

       }
?>

<DIV id="page">

   <div id="header"> <? if (isset($Banner) && (file_exists($Banner))) { ?> <img src="<?=$Banner?>">
               <? } else {?> <H1 align='center'> <font size=+5> <?=$Guild?> </font> </H1> <? } ?>
     </DIV>

   <DIV id="navigate" width="100%">
          <table width=600px align=center><tr>
          <td width=33%><a href="index.php" title='Return'>Return to Main Page</a> </td> 
              <? if (isset($CreateVideo) && (file_exists($CreateVideo))) { ?>         
          <TD WIDTH=33%><A HREF="<?=$CreateVideo?>" title="Help Video" target='new'>Help Video</a></td> <? } ?>
                             
          </tr></table>
     </DIV>

   <DIV id="content">
   <? switch (@$_POST['Submit']) {
      case 'Register':  
                     process($db);
                     break;
      case 'logout':
                     logout();
                     break;
      case 'master':
                     master();
                     break;
      case 'login' :
      default: 
                     ShowForm();
                     break;
      } 
 
/******************************************************************************************
*
*         function ShowForm
*
*               This simply displays the form used to create a new user ID.
*               Nothing special here, just a simple form
*
*********************************************************************************************/

function ShowForm()
{ global $ShowMemberYear, $ShowYear, $ShowMemberLimit, $Guild, $Gld;?>
        <P> You should NOT create a login username for each quilt you enter - create one login and use that to enter all of your quilts  This information will be included with each of your quilt entries - you will not have to re-enter it for each quilt.  If you find a mistake in this data, editing your profile will change the information on all of your quilt entries.
        <P> The <b>username</b> you choose  will be used only for logging in on this system and will not appear anywhere else.  It must be unique on the system so that your records can be found.  If you choose a name already in use, the system will prompt you for a different username.
        <P>  You must also enter an <b>email address</b> to create a userid - it will be used to send your temporary password.  It will also be used to resend your temporary password if you forget your password and reset it.
        <P>
     
    <form action="<?=$_SERVER['SCRIPT_NAME']?>" method=post >
<table cellspacing="5%">
 <TR><TH align='right'> Select a username (login name)</TH><TD> <input autocapitalize=off type=text name='username' size=16 maxlength=16> </TD><td>This is the name you will use to login on the system.<br>  It must be unique, and the system will check that before creating your login.
 <br>If it is not, you will be asked to select another.  Your username is limited to 16 characters.</td></tr>
<TR><TH>Profile Information:</TH>
   
    <TD align='right'> First Name </TD><TD> <input autocapitalize=words type=text name=fname size=32> </TD></TR>
<TR><TD></TD>
      <TD align='right'>Last Name</TD><TD> <input autocapitalize=words type=text name=lname size=32> </TD>
<TR><TH>Address: </TH> <TD align='right'>line 1</TD>
         <TD> <input type=text name=addr1 size=32> </TD> </TR>
<TR><TH></TH><TD align='right'>line 2</TD>
         <TD><input type=text name=addr2 size=32> </TD></TR>
<TR><TH></TH>
       <TD align='right'>City:</TD><TD> <input autocapitalize=words type=text name=city size=16> 
       State: <input type=text name=state size=2> 
       Zipcode: <input type=text name=zip size=5>  </TD></TR>
<TR><TH>Phones: </TH>
   <TD align='right'> Home: </TD><TD> <input type=text name=hphone size=12> </TD></TR>
 <TR><TH></TH><TD align='right'>
               Cell:</TD><TD> <input type=text name=cphone size=12> </TD></TR>
<TR><TH></TH><TD align='right'>
               Work:</TD><TD> <input type=text name=wphone size=12> </TD></TR>
<TR><TH>E-Mail: </TH><TD></TD>
         <TD> <input type=text name=email size=32></TD></TR>
<TR><TH colspan=2>
<? if ($ShowMemberYear==$ShowYear) { ?> 
             Are you a member of the<BR><?=$Guild?>?          
   <? } else { ?>
             Were you a member of the <BR><?=$Guild?> in <?=$ShowMemberYear?>?
   <? } ?>
</TD><TD>
        <input type=radio name=member value='yes'>Yes &nbsp; &nbsp; &nbsp; 
              <input type=radio name=member value='no' checked>No</TD></TR>
 </table>  
   <input type='SUBMIT' name='Submit' value='Register'>&nbsp; &nbsp;
   <input type='RESET' value='Reset Form'>  
     </form>
<? } ?>

<? function reShowForm()
{ global $ShowMemberYear, $ShowYear, $ShowMemberLimit;     /*   redisplay form with previous information - clear wrong variables, high light missing variables */   ?>

     <form action="<?=$_SERVER['SCRIPT_NAME']?>" METHOD=POST enctype="multipart/form-data">
<table cellspacing="5%">
 <TR><TH align='right'> Select a username (login name)</TH><TD> <input type=text name=username size=16 maxlength=16 value="<?=$_POST['username']?>"> </TD><td>This is the name you will use to login on the system.<br>  It must be unique, and the system will check that before creating your login.
 <br>If it is not, you will be asked to select another.</td></tr>
<TR><TH>Profile Information:</TH>
   
    <TD align='right'> First Name </TD><TD> <input type=text name=fname size=32 value="<?=$_POST['fname']?>"> </TD></TR>
<TR><TD></TD>
      <TD align='right'>Last Name</TD><TD> <input type=text name=lname size=32 value="<?=$_POST['lname']?>"> </TD>
<TR><TH>Address: </TH> <TD align='right'>line 1</TD>
         <TD> <input type=text name=addr1 size=32 value="<?=$_POST['addr1']?>"> </TD> </TR>
<TR><TH></TH><TD align='right'>line 2</TD>
         <TD><input type=text name=addr2 size=32 value="<?=$_POST['addr2']?>"> </TD></TR>
<TR><TH></TH>
       <TD align='right'>City:</TD><TD> <input autocapitalize=words type=text name=city size=16 value="<?=$_POST['city']?>"> 
       State: <input type=text name=state size=2 value="<?=$_POST['state']?>"> 
       Zipcode: <input type=text name=zip size=5 value="<?=$_POST['zip']?>">  </TD></TR>
<TR><TH>Phones: </TH>
   <TD align='right'> Home: </TD><TD> <input type=text name=hphone size=12 value="<?=$_POST['hphone']?>"> </TD></TR>
 <TR><TH></TH><TD align='right'>
               Cell:</TD><TD> <input type=text name=cphone size=12 value="<?=$_POST['cphone']?>"> </TD></TR>
<TR><TH></TH><TD align='right'>
               Work:</TD><TD> <input type=text name=wphone size=12 value="<?=$_POST['wphone']?>"> </TD></TR>
<TR><TH>E-Mail: </TH><TD></TD>
         <TD> <input type=text name=email size=32 value="<?=$_POST['email']?>"></TD></TR>
<TR><TH colspan=2>
  <? if ($ShowMemberYear==$ShowYear) { ?> 
             Are you a member of the<BR><?=$Guild?>?          
   <? } else { ?>
             Were you a member of the <BR><?=$Guild?> in <?=$ShowMemberYear?>?
   <? } ?>
</TD><TD>
        <input type=radio name='member' value='yes' <?  echo $_POST['member']=='yes' ? ' checked' : '' ?>>Yes &nbsp; &nbsp; &nbsp; 
              <input type=radio name='member' value='no' <? echo $_POST['member']=='no' ? ' checked' : '' ?>>No</TD></TR>
 </table>  
   <input type='SUBMIT' name='Submit' value='Register'>&nbsp; &nbsp;
   <input type='RESET' value='Reset Form'>  
     </form> 
<? } ?>

<? function process($db)
/*          Here we process the form information and either send it back to reShowForm if incorrect or incomplete, or write data to database.
            This will also send an email with temp password after the database is written.                               */
            
{global $TechAdminEmail, $Guild, $Gld;
 /* this function will process the input from the form, determine if it is valid,  and enter in the database when it is. */
?> <p> Checking Database Conflicts now..... <?
if ($_POST['username']=='' or !@$_POST['username'] or $_POST['email']=='' or !@$_POST['email']) {?>
<P> You must select a username  and enter an email address to create a login ID.</p><? 
reshowform(); 
return; } 
$username=trim($_POST['username']);
$query1=sprintf("SELECT eid from entrants where username='%s'",$username);
$result=mysqli_query($db,$query1);
if (!$result) {echo "Query 1 error selecting data from data table entrants: " . mysqli_error($db);} 
$count=mysqli_num_rows($result);
if ($count > 0) { ?> <P> Your selected username is already in use. Please select a different username and resubmit the form.
<? $_POST['username']='';
 reShowForm();  
return; }

$query2=sprintf("SELECT eid from entrants where soundex(email)=soundex('%s') and soundex(fname)=soundex('%s') and soundex(lname)=soundex('%s') and soundex(addr1)=soundex('%s') and soundex(city)=soundex('%s') and soundex(hphone)=soundex('%s')",$_POST['email'],$_POST['fname'],$_POST['lname'],$_POST['addr1'],$_POST['city'],$_POST['hphone']);
/* echo $query2; */
$result=mysqli_query($query2);
/*if (!$result) {echo "Query 2 error selecting data from data table entrants: " . mysqli_error($db);} 
else  Error processing fails !!???!!  no error code, but get count.... */ 

{ $count=mysqli_num_rows($result);

echo $count;

switch ($count) {
   case 0:  /* OK, enter in database. */
$temp_password=soundex($username) . soundex($_POST['addr1']) . soundex($_POST['email']);

$query3=sprintf("INSERT INTO entrants (username, fname, lname, addr1, addr2, city, state, zip, hphone, cphone, wphone, email, member,password) VALUES ('%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s')",$username,$_POST['fname'],$_POST['lname'],$_POST['addr1'],$_POST['addr2'],$_POST['city'],$_POST['state'],$_POST['zip'],$_POST['hphone'],$_POST['cphone'],$_POST['wphone'],$_POST['email'],$_POST['member'],$temp_password);
$result=mysqli_query($db,$query3);
if (!$result) {echo "Query 3 error entering data into database: " . mysqli_error($db);}           
$destination=$_POST['email'];
$subject=$Guild . ' Account Set Up complete' ;          
$message= "Your " . $Gld . " Quilt show entry account has been successfully created, and a temporary password has been generated for your username, $username.  You may use this password ($temp_password) to login on your account immediately.  Please note that this password is 12 characters long, consisting of 3 sets of 4 characters.  The format is: LdddLdddLddd where the 'L's are capital letters and the 'd's are digits.  You may change this password by clicking on the 'Edit Profile' tab after you login to your account.";
if ($username!=$_POST['username']) {$message .= "   Leading and or trailing white space was removed from your submitted username (${_POST['username']})."; }
 $eol=PHP_EOL;          
$header="From:  ". $TechAdminEmail . $eol;
$header.="Reply-To: " . $TechAdminEmail . $eol;

mail($destination,$subject,$message,$header);
?> <P> Congratulations!   Your login id has been successfully created and added to the registration database.  A
temporary password has been sent by email to <?=$_POST['email']?> - you may change this with the Edit Profile tab when you
login to the system. <P> You should receive this email within minutes if not seconds.  If you do not see it in your inbox, 
please look for it in your spam and junk folders.<br>Thank You.
<form action="index.php?state=login"> <input type='SUBMIT' name='Submit' value='Continue'></form> 
<?
           break;
 
 
   case 1: /*single duplicate entry - suggest using it. */
          $data=mysqli_fetch_assoc($result);
          $eid=$data['eid'];
          $query3=sprintf("SELECT * from entrants where eid='%s'",$eid);
          $result=mysqli_query($query3);
          $data=mysqli_fetch_assoc($result);
          ?> <P> Case 1: This appears to be a duplicate account.  The following entry already exists in the database, and if it is your's, you should use this for all of your quilt entries.  If this is not your entry, please contact the <a href="mailto:<?=$TechAdminEmail?>?subject=Duplicate Account Issue">system technical administrator</a>.
          <P>Username: <?=$data['username']?>  Name: <?=$data['fname'],"  ", $data['lname']?><BR>
          Address: <?=$data['addr1'],"  ", $data['addr2'],", ", $data['city']?><br> <?
          reShowForm();
           break;


   default: /* case >1 .. multiple entries, send to Administrator */

?> <P> case 2+:  This should be an impossible error - it appears that there are <?=$count?> entries with this same information.  This data has
been sent to the database administrator for corrective action. <? 
$destination= $TechAdminEmail;
$subject="Registration error - $count entries match data" ;          
$message="
This is the user data submitted.  SQL reports $count matches to this data in the entrants table:
Username: $_POST[username] First name: $_POST[fname] Last name: $_POST[lname]
Address: $_POST[addr1] / $_POST[addr2] / $_POST[city], $_POST[state] - $_POST[zip]
phones: $_POST[hphone] - $_POST[cphone] - $_POST[wphone]
email: $_POST[email] , member: $_POST[member]";
mail($destination, $subject, $message);
reShowForm();} /* end Switch */
} /* end else error */
} /* end function */ ?>
      </div>
</div>



<div id="footer">
<P> All material Copyright 2015, 2017, 2019, 2021 Steven K. Silber, All Rights Reserved.</p>
    </div>
    
</div>      
</body>
</html>