<?php                     
/*  "QuiltShow 1.0" - Quilt Show registration and management software.  

Copyright 2015, 2016, 2017, 2019, 2021  by Steven K. Silber.  All Rights Reserved.
        
  This file is part of the QuiltShow program is free software: you may redistribute 
it and/or modify it under the terms of the GNU General Public License  as published
by the Free Software Foundation, either version 3 of the License, or (at your option) 
any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
See the GNU General Public License for more details.

There is a copy of the GNU General Public License in the 'Documentation' folder of
the distribution bundle included with this program.  

If not, see https://www.gnu.org/licenses  for a full copy of the license. */  
 

require_once('utilities.php');
$db=opendb_RO();

$file="All-entrants-email.csv";
$fp=fopen('php://output','w');

$header=array('fname','lname','email','# quilts entered');
header('Content-type: text/csv');
header('Content-Disposition: attachement; filename='.$file);
//$delimiter=",";
//$enclosure='"';
//$eol="\r\n";
//$esc="\\";

fputcsv($fp, $header);
$numcolumn=count($header);

$query="SELECT fname, lname, email, eid from entrants where email<>''";
$result=mysqli_query($db,$query);
      if (!@$result) "echo Error reading entrant info...." . mysqli_error($db);
while ($row=mysqli_fetch_row($result)) {

    $eid=$row[3]; 
   $query2="SELECT idx from quilts where withdrawn='no' and eid='$eid' ";
        $result2=mysqli_query($db,$query2);
        if (!@$result2) "echo Error reading quilt info...." . mysqli_error($db);
        else { $row[3]=mysqli_num_rows($result2); 
       if ($row[3]>0) fputcsv($fp,$row);}
}

//echo $header.PHP_EOL;
//echo $query.PHP_EOL;
//echo count($header).PHP_EOL;
//echo mysqli_num_rows($result).PHP_EOL;

exit;

 ?> 